Last Comment Bug 666869 - Crash [@ nsGlobalWindow::GetPerformance]
: Crash [@ nsGlobalWindow::GetPerformance]
Status: VERIFIED FIXED
: crash, regression, testcase
Product: Core
Classification: Components
Component: DOM (show other bugs)
: Trunk
: All All
: -- critical (vote)
: mozilla7
Assigned To: Mounir Lamouri (:mounir)
:
:
Mentors:
Depends on:
Blocks: 326633 570341
  Show dependency treegraph
 
Reported: 2011-06-24 01:22 PDT by Jesse Ruderman
Modified: 2011-09-06 07:58 PDT (History)
8 users (show)
mounir: in‑testsuite+
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
testcase (crashes Firefox when loaded) (295 bytes, text/html)
2011-06-24 01:22 PDT, Jesse Ruderman
no flags Details
stack trace (10.06 KB, text/plain)
2011-06-24 01:22 PDT, Jesse Ruderman
no flags Details
Simple fix (865 bytes, patch)
2011-06-24 03:00 PDT, Mounir Lamouri (:mounir)
bugs: review+
Details | Diff | Splinter Review
Simple fix with test (2.49 KB, patch)
2011-06-24 04:52 PDT, Igor Bazarny
no flags Details | Diff | Splinter Review
Mochitest only (1.75 KB, patch)
2011-06-27 02:35 PDT, Igor Bazarny
no flags Details | Diff | Splinter Review

Description Jesse Ruderman 2011-06-24 01:22:01 PDT
Created attachment 541626 [details]
testcase (crashes Firefox when loaded)
Comment 1 Jesse Ruderman 2011-06-24 01:22:36 PDT
Created attachment 541627 [details]
stack trace
Comment 2 Mounir Lamouri (:mounir) 2011-06-24 03:00:11 PDT
Created attachment 541644 [details] [diff] [review]
Simple fix
Comment 3 Igor Bazarny 2011-06-24 04:52:37 PDT
Created attachment 541663 [details] [diff] [review]
Simple fix with test

Thanks for report and fix. Here's the same fix with added mochitest
Comment 4 Mounir Lamouri (:mounir) 2011-06-24 05:57:38 PDT
(In reply to comment #3)
> Created attachment 541663 [details] [diff] [review] [review]
> Simple fix with test
> 
> Thanks for report and fix. Here's the same fix with added mochitest

You don't need a mochitest. I was planning to attach Jesse's testcase as a crashtest.
Comment 5 Mounir Lamouri (:mounir) 2011-06-24 05:57:56 PDT
(In reply to comment #4)
> You don't need a mochitest. I was planning to attach Jesse's testcase as a
> crashtest.

By attach I mean push.
Comment 6 Jesse Ruderman 2011-06-24 10:06:04 PDT
OTOH, maybe it's good to have it as a mochitest for the

  ok(frameWin.performance==null, 'Performance for non-existing frame???');
Comment 7 Mounir Lamouri (:mounir) 2011-06-26 15:10:46 PDT
Pushed to mozilla-inbound with the crashtest.

Igor, can you write a patch that adds the test mentioned in comment 6 to the current performance test suite?
Comment 8 Mounir Lamouri (:mounir) 2011-06-27 02:19:54 PDT
Pushed:
http://hg.mozilla.org/mozilla-central/rev/070f95edc105
Comment 9 Igor Bazarny 2011-06-27 02:35:13 PDT
Created attachment 542113 [details] [diff] [review]
Mochitest only

I had this test as part of the previous patch. There is not much of test suite yet, and the existing test covers basic scenario, so mixing this test in doesn't feel right to me.
Comment 10 Ioana (away) 2011-09-06 07:58:12 PDT
Verified fixed on:
Mozilla/5.0 (Windows NT 6.1; rv:7.0) Gecko/20100101 Firefox/7.0
Mozilla/5.0 (Macintosh; Intel Mac OS X 10.6; rv:7.0) Gecko/20100101 Firefox/7.0
Mozilla/5.0 (X11; Linux i686; rv:7.0) Gecko/20100101 Firefox/7.0
Mozilla/5.0 (Windows NT 5.1; rv:7.0) Gecko/20100101 Firefox/7.0

I loaded the test case from the description on the above builds and none of them crashed. There were no other issues either.

Note You need to log in before you can comment on or make changes to this bug.